## Name

systemd-cryptsetup@.service, systemd-cryptsetup — Full disk decryption logic

## Synopsis

`systemd-cryptsetup@.service`

`/usr/lib/systemd/systemd-cryptsetup`

## Description

`systemd-cryptsetup@.service` is a service responsible for setting up encrypted block devices. It is instantiated for each device that requires decryption for access.

`systemd-cryptsetup@.service` will ask for hard disk passwords via the password agent logic, in order to query the user for the password using the right mechanism at boot and during runtime.

At early boot and when the system manager configuration is reloaded this `/etc/crypttab` is translated into `systemd-cryptsetup@.service` units by systemd-cryptsetup-generator(8).

## See Also

systemd(1), systemd-cryptsetup-generator(8), crypttab(5), cryptsetup(8)